For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList orders for a business
        • POSTCreate an order for a business
        • GETRetrieve an order
        • GETRetrieve an order by ID
        • PUTUpdate an order
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationOrders

List orders for a business

GET
https://api.middesk.com/v1/businesses/:business_id/orders
GET
/v1/businesses/:business_id/orders
$curl https://api.middesk.com/v1/businesses/business_id/orders \
> -H "Authorization: Bearer <token>"
200Orders list
1{
2 "object": "list",
3 "has_more": true,
4 "data": [
5 {
6 "object": "order",
7 "id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
8 "status": "completed",
9 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
10 "product": "business_verification_verify",
11 "created_at": "2025-01-07T12:00:00Z",
12 "updated_at": "2025-01-07T12:00:00Z",
13 "subproducts": [
14 "Articles of Incorporation"
15 ],
16 "completed_at": "2025-01-07T12:05:00Z",
17 "monitoring": false,
18 "requester": {
19 "name": "John Doe",
20 "type": "user"
21 }
22 }
23 ],
24 "total_count": 1
25}
Was this page helpful?
Previous

Create an order for a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Query parameters

packagesstringOptional

Comma-separated list of packages to filter by

pageintegerOptional
Page number for pagination
per_pageintegerOptional
Number of items per page

Response

orders found
objectstring
has_moreboolean
datalist of objects
total_countinteger